Gecode::Int::Cumulatives::Event Class Reference

An event collects the information for one evnet for the sweep-line. More...

`#include <val.hpp>`

## Public Member Functions

| Event (ev_t _e, int _task, int _date, int _inc=0, bool _first_prof=false)
| Simple constructor.
| Event (void)
bool | operator< (const Event &ev) const
| Order events based on date.

## Public Attributes

ev_t | e
| The type of the event.
int | task
| The task this event refers to.
int | date
| The date of this event.
int | inc
| The quantity changed by this event (if any).
bool | first_prof

## Detailed Description

An event collects the information for one evnet for the sweep-line.

Definition at line 130 of file val.hpp.

## Constructor & Destructor Documentation

## Event() [1/2]

Gecode::Int::Cumulatives::Event::Event | ( | ev_t | _e,
|  | int | _task,
|  | int | _date,
|  | int | _inc = 0,
|  | bool | _first_prof = false )

inline

Simple constructor.

Definition at line 148 of file val.hpp.

## Event() [2/2]

Gecode::Int::Cumulatives::Event::Event | ( | void |  | ) |

inline

Definition at line 153 of file val.hpp.

## Member Function Documentation

## operator<()

bool Gecode::Int::Cumulatives::Event::operator< | ( | const Event & | ev | ) | const

inline

Order events based on date.

Definition at line 156 of file val.hpp.

## Member Data Documentation

## e

ev_t Gecode::Int::Cumulatives::Event::e

The type of the event.

Definition at line 134 of file val.hpp.

## task

int Gecode::Int::Cumulatives::Event::task

The task this event refers to.

Definition at line 136 of file val.hpp.

## date

int Gecode::Int::Cumulatives::Event::date

The date of this event.

Definition at line 138 of file val.hpp.

## inc

int Gecode::Int::Cumulatives::Event::inc

The quantity changed by this event (if any).

Definition at line 140 of file val.hpp.

## first_prof

bool Gecode::Int::Cumulatives::Event::first_prof

If the type is EVENT_PROF and it is the first of the pair, this value is true. Added to handle contribution-values correctly for both at_most and at_least.

Definition at line 145 of file val.hpp.

The documentation for this class was generated from the following file:

- gecode/int/cumulatives/val.hpp